<script>
	import Button from "@/components/button.svelte"
	import SVG from "@/components/svg.svelte"
	import Input from "@/components/Form/Input.svelte"
	import PhoneInput from "@/components/Form/PhoneInput.svelte"
	import Datepicker from "@/components/Form/Datepicker.svelte"
	import Contacts from "@/components/Order/Contacts.svelte"

	import { data, submit, error } from "@/stores/form"
	import { t } from "@/i18n"
</script>

<template lang="pug">
form.form.is-flex.is-flex-direction-column.is-align-items-center.is-justify-content-center( on:submit|preventDefault='{submit}' )
	slot( name="prepend" )
	.field: .control( class:invalid='{$error.emptyName}' )
		Input( bind:value='{$data.name}' style="dark" required ) {$t("form.name")}
	.field.phone: .control( class:invalid='{$error.invalidPhone || $error.emptyPhone}' )
		PhoneInput( bind:value='{$data.phone}' required ) {$t("form.phone")}
	.field: .control( class:invalid='{$error.emptyStart}' )
		Datepicker( bind:value='{$data.start}' max='{$data.end}' placeholder!='{$t("form.start")}' )
	.field: .control( class:invalid='{$error.emptyEnd}' )
		Datepicker( bind:value='{$data.end}' min='{$data.start}' placeholder!='{$t("form.end")}' )
	Contacts( bind:value='{$data.contact_by}' )
</template>

<style lang="scss">
	.form {
		:global(.field) {
			width: 100%;
			position: relative;
		}
		:global(.field:not(.phone)) {
			overflow: hidden;
		}
		:global(.field + .field) {
			margin-top: 1.5rem;
		}
		.field .control {
			border-bottom: 1px solid $gray-text;
			&.invalid {
				border-color: $red;
			}
		}

		:global(.field .control .label),
		:global(.field .control input),
		:global(.field .control input::placeholder) {
			font-size: 1.125rem;
			line-height: 1.5rem;
			font-weight: 300;
			color: $white;
		}

		:global(.field .control .label) {
			height: 1.5rem;
			margin: auto 0;
			position: absolute;
			top: calc(50% - .75rem);
			left: 0;
			z-index: 1;
			transition: height .1s ease-in-out;
			overflow: hidden;
		}

		:global(.field .control input) {
			padding: .75rem 0;
			width: 100%;
			background: transparent;
			box-shadow: none;
			border: none;
			position: relative;
			z-index: 2;
		}

		:global(.field .control input:not([value=""]) + .label),
		:global(.field .control input:focus + .label),
		:global(.field .control .label.hidden) {
			height: 0;
		}
	}
</style>